
divert(SEQUENCE_TABLES)

export TILETABLE

define(numTiles, 0)

syscmd(`echo -n >tiles.dat')

define(TILE,
 `syscmd(echo "`#'define TILE_`'$1 numTiles" >>"include/automatic.h")
  syscmd(`echo "$2"' numTiles `>>"tiles.dat"')
  define(TILE_`'$1, numTiles)
  define(`numTiles', eval(numTiles+1))
  export $1
  uchar $3
  uchar $4
  uchar $5
  uchar $6
  align 2
 ')

#
# Tile descriptors
#
# Dungeon tiles
#               Map    Draw Tr Pa Con
TILE( FLOOR,    `.',   3,   1, 1, 0  )         # Dungeon floor
TILE( WALL,     `#',   5,   0, 0, 0  )         # Wall
TILE( SDOOR,    X,     5,   0, 0, 0  )         # Secret door
TILE( ODOOR,    -,     <->, 1, 1, 0  )         # Open door
TILE( CDOOR,    +,     <+>, 0, 0, 0  )         # Closed door
TILE( LDOOR,    =,     <+>, 0, 0, 0  )         # Locked door
TILE( STAIRUP,  <,     <<>, 1, 1, 1  )         # Stairs up
TILE( STAIRDN,  >,     <\>>,1, 1, 1  )         # Stairs down
TILE( SMOKE,    ~,     <~>, 0, 1, 0  )         # Dungeon floor
#
# Wilderness tiles
#
TILE( WATER,    ~,     6,   1, 0, 0  )         # Water
TILE( PLAINS,   +,     7,   1, 1, 0  )         # Plains
TILE( ROAD,     _,     8,   1, 1, 0  )         # Road
TILE( MOUNT1,   ^,     9,   0, 0, 0  )         # Mountain (1)
TILE( MOUNT2,   *,     10,  0, 0, 0  )         # Mountain (2)
TILE( FOREST,   &,     <&>, 0, 1, 0  )         # Forest
#
# Traps
#
TILE( DARTTRAP, 1,     <^>, 1, 1, 0 )

