#include "crogue.h"


//{{{
int prompt(char *msg)
{
	int result;
	
	message("%s? [Y/N]", msg);
	draw();
	result = READCHAR;
	switch(result)
	{
		case 'Y':
		case 'y':
		case KEY_ACKNOWLEDGE:
			return 1;
		default:
			return 0;
	}
}
//}}}
//{{{
int prompt_letter(char *msg)
{
	int result;
	
retry:
	message("%s?", msg);
	draw();
	result = READCHAR;
	result |= 0x40;
	if(result==(0x40|0x80)) // ESC
		return 0;
	else if('a' <= result && result <= 'z')
		return result-'a'+1;
	else {
		message("Invalid selection.");
		goto retry;
	}
}
//}}}
//{{{
direction prompt_dir(char *msg)
{
	int input;
	direction result;

retry:
	message("%s?", msg);
	draw();
	input = READCHAR;
	
	if(input==264) // ESC
		return DIRECTION(0,0);
	else if( '0' < input && input <= '9' ) {
		result.x = (input-'0'-1)%3-1;
		result.y = -(input-'0'-1)/3+1;
		return result;
	} else {
		message("Invalid direction,");
		goto retry;
	}
}
//}}}

