#include <stdio.h>
#include "rle.h"

typedef struct tile
{
	char t;
//	char rep[63];
	unsigned char rep;
} tile;

int main(int argc, char **argv)
{
	FILE *tilefile;
	tile tiles[128];
	char inbuf[256];
	int i, j, k;
	int numTiles=0;
	int tilerep;
	
	tilefile = fopen("tiles.dat", "r");
	if(!tilefile)
		return 1;
	
	while(!feof(tilefile))
	{
		fgets(inbuf, 256, tilefile);
		sscanf(inbuf, "%c %i", &tiles[numTiles].t, &tilerep);
		tiles[numTiles].rep = tilerep;
		numTiles++;
	}
	
	frleputc(0, stdout, 2);
	
	for(i=1; i<argc; i++)
	{
		for(j=0; argv[i][j]; j++)
		{
			for(k=0; k<numTiles; k++)
			{
				if(tiles[k].t == argv[i][j])
				{
//					puts(tiles[k].rep);
					frleputc(tiles[k].rep, stdout, 0);
					break;
				}
			}
		}
	}
	
	frleputc(0, stdout, 1);
	
	return 0;
}
