define(`numSpells', 0)

define(SPELL,
 `divert(SEQUENCE_STRINGS)
  export SPELL_`'numSpells
  string $2
  divert(SEQUENCE_TABLES)
  
  link SPELL_`'numSpells
  uint numSpells
  syscmd(echo "`#'define SPELL_`'$1 numSpells" >>"include/automatic.h")
  define(SPELL_`'$1, numSpells)
  uint $3
  uint $4
  padbytes(2)
  
  define(`numSpells', eval(numSpells+1))
 ')

divert(SEQUENCE_TABLES)
align 2
export SPELLSTABLE
SPELL(BOLT,        "Magic Bolt",    5,  7)
SPELL(LIGHT,       "Light",         4,  6)
SPELL(IDENTIFY,    "Identify",      11, 20)
SPELL(TELEPORT,    "Teleport",      14, 20)

define(FLAGS_SPELLBOOK, 0)

BEGIN_SHUFFLETAB(SPELLBOOKNAMES)
  STENTRYSTRING("red spellbook")
  STENTRYSTRING("white spellbook")
  STENTRYSTRING("green spellbook")
  STENTRYSTRING("blue spellbook")
END_SHUFFLETAB()

###################################################################################################################################################################
##     C   Identifier           Name                                UnID Name                      Flags                 Stack  Weight Category  Spellid         ##
BOOK( <+>, BOOK_BOLT,           `String("spellbook of bolt")',      SPELLBOOKNAMES_1,              FLAGS_SPELLBOOK,      1,     20,    CAT_BOOK, SPELL_BOLT       )
BOOK( <+>, BOOK_LIGHT,          `String("spellbook of light")',     SPELLBOOKNAMES_2,              FLAGS_SPELLBOOK,      1,     20,    CAT_BOOK, SPELL_LIGHT      )
BOOK( <+>, BOOK_IDENTIFY,       `String("spellbook of identify")',  SPELLBOOKNAMES_3,              FLAGS_SPELLBOOK,      1,     20,    CAT_BOOK, SPELL_IDENTIFY   )
BOOK( <+>, BOOK_TELEPORT,       `String("spellbook of teleport")',  SPELLBOOKNAMES_4,              FLAGS_SPELLBOOK,      1,     20,    CAT_BOOK, SPELL_TELEPORT   )


BEGIN_JUMPTAB(GENERATE_BOOK, jt_dungeonlevel)
#         Item                      Freq  Level range
  JTENTRY(ITYPE_BOOK_BOLT,          3,    range(255,1))
  JTENTRY(ITYPE_BOOK_LIGHT,         2,    range(255,1))
  JTENTRY(ITYPE_BOOK_IDENTIFY,      2,    range(255,2))
  JTENTRY(ITYPE_BOOK_TELEPORT,      2,    range(255,4))
END_JUMPTAB()


