# Copied byte-for-byte from the GNU m4 user's manual
define(`forloop',
       `pushdef(`$1', `$2')_forloop(`$1', `$2', `$3', `$4')popdef(`$1')')
	   define(`_forloop',
	          `$4`'ifelse($1, `$3', ,
			  		   `define(`$1', incr($1))_forloop(`$1', `$2', `$3', `$4')')')

define(padbytes,
  `forloop(`i', `1', `$1', `uchar 0 ')'
  )

define(range, `uchar $1 uchar $2')
define(coord, `uchar $1 uchar $2')

define(SEQUENCE_PRIMARY, 1)
define(SEQUENCE_ITEMS,   2)
define(SEQUENCE_TABLES,  3)
define(SEQUENCE_STRINGS, 4)
define(SEQUENCE_MISC,    5)
define(SEQUENCE_STSIZES, 6)
define(SEQUENCE_STDATA,  7)

define(SEQUENCE_TEMP,    8)

define(jt_unconditional, 0)
define(jt_playerlevel,   1)
define(jt_dungeonlevel,  2)
define(jt_avglevel,      3)
define(jt_class,         4)


define(`numStrings', 0)

define(String,
 `define(`numStrings', eval(numStrings+1))
  define(`DIVERT_RET', divnum)
  divert(SEQUENCE_STRINGS)
  export STRING_`'numStrings
  string $1
  divert(DIVERT_RET)
  STRING_`'numStrings
 ')


define(BEGIN_JUMPTAB,
 `define(`tabName', $1)
  define(`numTabEntries', 1)
  define(`tabFreq', 0)
  define(`tabCondition', `$2')
  align 2
 ')
define(JTENTRY,
 `define(`numTabEntries', eval(numTabEntries+1))
  divert(SEQUENCE_TEMP)
  link $1 # Target
  define(`tabFreq', eval(tabFreq+$2))
  uint tabFreq
  $3      # Range
 ')

define(END_JUMPTAB,
 `divert(SEQUENCE_TABLES)
  exporttable tabName
  uint numTabEntries
  uint tabCondition
  
  link tabName
  uint 0
  uchar 1 uchar 2  # Impossible condition (min 2, max 1) to prevent generation of self
  undivert(SEQUENCE_TEMP)
 ')

define(`numSTabs', 0)
define(`sTabPos', 0)

define(BEGIN_SHUFFLETAB,
 `define(`tabName', $1)
  define(`numTabEntries', 0)
  define(`numSTabs', eval(numSTabs+1))
 ')

define(STENTRY,
 `define(`numTabEntries', eval(numTabEntries+1))
  divert(SEQUENCE_STDATA)
  define(tab`'Name_num`'TabEntries, sTabPos)
  define(`sTabPos', eval(sTabPos+1))
  link $1
 ')

define(STENTRYSTRING,
 `define(`numTabEntries', eval(numTabEntries+1))
  divert(SEQUENCE_STRINGS)
  export tabName`'_`'numTabEntries`'_string
  string $1
  divert(SEQUENCE_STDATA)
  define(tabName`'_`'numTabEntries, (sTabPos))
  define(`sTabPos', eval(sTabPos+1))
  link tabName`'_`'numTabEntries`'_string
 ')

define(END_SHUFFLETAB,
 `divert(SEQUENCE_STSIZES)
  uint numTabEntries
 ')

divert(SEQUENCE_STSIZES)
export STSIZES
divert(SEQUENCE_STDATA)
export STDATA
